Skip to main content
GET
/
compute
/
clusters
/
storage
/
volumes
Together AI SDK (v2)
from together import Together
client = Together()

volumes = client.beta.clusters.storage.list()
print(volumes)
import Together from "together-ai";
const client = new Together();

const volumes = await client.beta.clusters.storage.list();
console.log(volumes);
import Together from "together-ai";
const client = new Together();

const volumes = await client.beta.clusters.storage.list();
console.log(volumes);
tg beta clusters storage list


{
  "volumes": [
    {
      "volume_id": "<string>",
      "volume_name": "<string>",
      "size_tib": 123
    }
  ]
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string

Optional UMS project ID to filter volumes by. When set, only volumes belonging to this project are returned. The caller must be a member of the project; otherwise the result set will be empty.

Response

200 - application/json

OK

volumes
object[]
required